Don't install BC or Wrath if you're at 4.x

(Locked)

Thank you for this wonderful information. After uninstalling the client download from my computer, I was able to install BC without getting an error message at 77% and from there I reinstalled WoW (WOTLK. :)
90 Blood Elf Mage
3760
thanks for the advice i put up a post not long ago about installation problems with BC
85 Human Warlock
3995
tyvm
Edited by Healzme on 12/28/2010 12:06 AM PST
6 Dwarf Paladin
0
Well done blizzard, i think this is a great thing to do for expansions, and hope all games will have this in the future
Edited by Redemptionz on 12/28/2010 10:24 PM PST
17 Dwarf Hunter
40
So let me get this straight, since I'm slightly confused. If I have the "Original" game already installed (like as of early December 2010) and now I have BC and Wrath, I don't have to/shouldn't install them using the installation discs? Just like activate them by entering the game key? Because I was just trying to install it earlier and i did get a similar error message. Something about it not being able to locate a data file...
85 Tauren Paladin
1910
I used to play the original WoW, but i dont even know where the disc is or remember what my account was, so i had to make a new account and bought the game and all of the expansions at once since im starting playing again. I had this same problem but i figured out how to fix it, and a lot of people are confused, so ill try to explain a little bit what exactly they need to do.

The first thing you need to do is, if you already accidentally installed them over eachother, like after you updated it put wrath in and got the error at 74%, uninstall the game and delete the whole folder. Dont worry if you do it the right way the installation will be much shorter this time than going through all the discs.

Okay, so to install the game, only put in your most recent game disc. Like for example if you have cataclysm, put in the cataclysm disc, and then it will install everything from cataclysm, wrath, burning crusades, and basic WoW. I think some people get confused (including myself) because the packages say like on cataclysm "Requires Wrath of the Lich King." You have to use the codes to upgrade your account to like cataclysm version or something, and that actually does require you to have all the games because you cant skip, but for the actual installation you only need one disc. The other option is to just install the original game (if you have battle chest i think you have to put burning crusades in too to get the last 2% of the download), and let it update all the way to the most recent patch through the game launcher like when a patch comes out. The ONLY thing you need from the cases with the other discs is the authentication codes. EVERYONE has all the content in cataclysm installed, because the game launcher updates it, but you still have to buy the discs because you can only use the content if you have your account updated all the way to cataclysm. So the discs themselves are basically useless, you just need one disc and the authentication codes from the cases that come with discs. I hope this was helpful.
34 Blood Elf Rogue
450
This helped a lot.. I am up and running now.. Thanks :)
72 Night Elf Druid
770
ok i got cataclysm as a gift and of course they just bought the cheapest thing which would be just the patch, right? and now that ive bought the base game and the cataclysm patch is finished downloading, it seems i dont have the patch. Example: It wont let me make a character that requires the burning crusade or cataclysm like worgen, dranei, or night elf.
10 Night Elf Druid
10
Sorry for the new topic, just saw this thread. I'll just copy/paste

I'm a new player trying to get into WoW, so i purchased the original WoW and played for a few days, liked it, and decided to buy Burning Crusade. I bought the expansion from gamestop and started to install it and chose the option to activate it to my account before installing. So I begin to install and it gives me the error: C:\Users\Public\Games\World of Warcraft\common-2.mpg could not be found.

I did some searching around and found that as long as the game is activate on your account, you can download the client from battle.net. It says the game is activate and asks me to upgrade to Lich King, but the only game client I can download is the original WoW. Any suggestions?
63 Draenei Paladin
665
Just saw a post up sorry for the wasted spot. Thanks for the help:)
Edited by Bigknown on 1/2/2011 8:20 PM PST
85 Orc Hunter
2985
i just recently got the game for the first time and loaded up wrath about a week ago but i did see that error at about 74% is there any way that is linked to my disconnecting issues i now face every time i try play??
85 Draenei Shaman
5155
I'm coming back to the game after more than a year away....im not sure what my last patch was, i quit after tier 9 armor was introduced...anyways, i launch the downloader, and it patches to 4.0 ...then says its downloading 10.9 GIGS (!?!?!? WTF) of data...so, needless to say i promptly closed it and went and bought the cata dvd, upgraded my account, all that jazz....and now its installing from the cata dvd...but my problem is this:

ITS BEEN INSTALLING FOR OVER 5 FRICKIN HOURS!...and its on 67%, has been for the last hour...is there something wrong with the dvd?...
87 Human Warrior
SiN
0
I'm trying to install the the game client from the Account Management page. The installation process gets to v4.0.0.12911 and then I get an error message:

"Failed to download information about next patch. Check internet connection."

My internet is working fine as far as I can tell, and my firewall allows access to the Blizzard Launcher and updater.

Is there something I'm not thinking of here?
i have problems installing wrath of the lich king im new in the game can someone help me plz it says "C:\Users\Public\Games\World of Warcraft\Data\common-2.MPQ" could not be found. If this problem persists, please contact Blizzard Technical Support. (OpenArchive::Execute) idk what to do
85 Troll Druid
2965
I'm pretty new to WoW myself. I started from just the original game back around January 2010, so not too long after Wotlk was released. I just patched all the way up to 4.0.3 recently. Just bought the 3 expansions the other day. So all I need to do then is just simply enter the CD keys for each expansion and upgrade? No installation required? I attempted to download BC, but got the error at 74% and didn't try again. So as long as either expansion didn't fully install, I'll be okay, right?
Edited by Zekrrom on 1/8/2011 1:52 AM PST
64 Night Elf Death Knight
690
What if you have that InstallWOW app? Would that still work if you just install World of Warcraft?
Edited by Fuujin on 1/8/2011 11:51 PM PST
64 Night Elf Death Knight
690
I have that same problem only sound.MPQ
67 Human Death Knight
420
i cant get to the WoW launcher and whenever i click on the shortcut to WoW it says 'launcher cannot obtain patching information.please check internet configuration.' i tried installing lich king and it errored around 74%. So do i delete the folder and reinstall, and if i do what folder?
67 Human Death Knight
420
i was also fully patched
This topic is locked.

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)

Reported!

[Close]